Bug 1156070: Rename test class to prevent test harnesses thinking there is a failure; r=jgriffin
authorDavid Burns <dburns@mozilla.com>
Wed, 19 Aug 2015 15:57:06 +0100
changeset 258570 38f5e5feea729b41139e487a4f676f0fa2389474
parent 258569 8a1489f33c93882b2e1865f0f65dd41976622a06
child 258626 74eaab2c52b6c5bda7494c14502ea839e12d6ba2
push id63985
push userdburns@mozilla.com
push dateThu, 20 Aug 2015 19:39:33 +0000
treeherdermozilla-inbound@38f5e5feea72 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjgriffin
bugs1156070
milestone43.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1156070: Rename test class to prevent test harnesses thinking there is a failure; r=jgriffin Mozharness appears to do a check for the word exception and is seeing these tests as failures when they are not.
testing/marionette/client/marionette/tests/unit/test_errors.py
--- a/testing/marionette/client/marionette/tests/unit/test_errors.py
+++ b/testing/marionette/client/marionette/tests/unit/test_errors.py
@@ -12,17 +12,17 @@ def fake_cause():
         raise ValueError("bar")
     except ValueError as e:
         return sys.exc_info()
 
 message = "foo"
 cause = fake_cause()
 stacktrace = "first\nsecond"
 
-class TestExceptionType(marionette_test.MarionetteTestCase):
+class TestErrors(marionette_test.MarionetteTestCase):
     def test_defaults(self):
         exc = errors.MarionetteException()
         self.assertIsNone(exc.msg)
         self.assertIsNone(exc.cause)
         self.assertIsNone(exc.stacktrace)
 
     def test_construction(self):
         exc = errors.MarionetteException(
@@ -67,16 +67,16 @@ class TestLookup(marionette_test.Marione
     def test_by_unknown_string(self):
         self.assertEqual(errors.MarionetteException, errors.lookup("barbera"))
 
     def test_by_known_unicode_string(self):
         self.assertEqual(errors.NoSuchElementException,
             errors.lookup(u"no such element"))
 
 
-class TestAllExceptions(marionette_test.MarionetteTestCase):
+class TestAllErrors(marionette_test.MarionetteTestCase):
     def test_properties(self):
         for exc in errors.es_:
             self.assertTrue(hasattr(exc, "code"),
                 "expected exception to have attribute `code'")
             self.assertTrue(hasattr(exc, "status"),
                 "expected exception to have attribute `status'")
             self.assertIsInstance(exc.code, tuple)